<?xml version="1.0" encoding="UTF-8"?>
<provider>
  <name>@EVERNOTE_ACCOUNT_DISPLAY_NAME@</name>
  <icon>@EVERNOTE_ICON_NAME@</icon>
  <translations>account-plugins</translations>
  <plugin>generic-oauth</plugin>
  <domains>.*evernote\.com</domains>

  <template>
    <group name="auth">
      <setting name="method">oauth2</setting>
      <setting name="mechanism">HMAC-SHA1</setting>
      <group name="oauth2">
        <group name="HMAC-SHA1">
          <setting name="RequestEndpoint">https://@EVERNOTE_HOSTNAME@/oauth</setting>
          <setting name="TokenEndpoint">https://@EVERNOTE_HOSTNAME@/oauth</setting>
          <setting name="AuthorizationEndpoint">https://@EVERNOTE_HOSTNAME@/OAuth.action</setting>
          <setting name="Callback">https://wiki.ubuntu.com/</setting>
          <setting name="ConsumerKey">@EVERNOTE_CONSUMER_KEY@</setting>
          <setting name="ConsumerSecret">@EVERNOTE_CONSUMER_SECRET@</setting>
          <setting name="HostName">@EVERNOTE_HOSTNAME@</setting>
        </group>
      </group>
    </group>
  </template>
</provider>
